{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain1
    varPath
    mntPath
    sslPath
    ;
  label = "upRootNutrition";
  name = "uprootnutrition";
  ssl = "${sslPath}/${domain1}";
in

{
  label = label;
  name = name;
  short = "upRoot";
  email = {
    address0 = "nick@${domain1}";
  };
  domains = {
    url0 = domain1;
  };
  tags = [
    name
    "blog"
  ];
  interface = {
    id = "vm-uproot";
    mac = "02:00:00:00:52:21";
    idUser = "vmuser-uproot";
    macUser = "02:00:00:00:00:21";
    ip = "192.168.50.211";
    gate = "192.168.50.1";
    ssh = 2300;
  };
  ssl = {
    path = ssl;
    cert = "${ssl}/fullchain.pem";
    key = "${ssl}/key.pem";
  };

  varPaths = {
    path0 = "${varPath}/${name}";
  };
  mntPaths = {
    path0 = "${mntPath}/${name}";
  };

}
